#pragma once

#include <stdint.h>
#include <stdbool.h>
#include <stdio.h>
#include <string.h>

#include <cglm/cglm.h>

#include "STRINGS.h"

typedef uint8_t u8;
typedef uint16_t u16;
typedef uint32_t u32;
typedef uint64_t u64;

typedef int8_t s8;
typedef int16_t s16;
typedef int32_t s32;
typedef int64_t s64;

typedef float f32;
typedef double f64;

static const vec4 COLOR_OPAQUE = {1.0f, 1.0f, 1.0f, 1.0f};

#define ORIGIN_COUNT ORIGIN_CENTER + 1
typedef enum OriginType
{
	ORIGIN_TOP_LEFT,
	ORIGIN_TOP_RIGHT,
	ORIGIN_BOTTOM_LEFT,
	ORIGIN_BOTTOM_RIGHT,
	ORIGIN_CENTER
} OriginType;
