#pragma once

#include "state/STATE_COMMON.h"
#include "ecs/ECS_COMMON.h"

#include "../engine/renderer.h"
#include "../engine/tick.h"
#include "../engine/atlas.h"
#include "../engine/json.h"
#include "../engine/file.h"
#include "../engine/atlas.h"
#include "../engine/sdl.h"
#include "../engine/event.h"

typedef struct Game
{
	State state;
	Resources resources;
	Renderer renderer;
	Window window;
	Event event;
	Tick tick;
	ECS ecs;
} Game;
