#include "entity_test.h"

/* Initializes a test entity. */
void
entity_test_init(ECS* ecs, u32 id)
{
	ComponentSprite* sprite;

	sprite = ecs_component_add(ecs, ECS_COMPONENT_SPRITE, id);

	component_sprite_init
	(
		sprite,
		ecs->game->resources.textures[TEXTURE_TEST],
		SHADER_TEXTURE_QUAD,
		ORIGIN_CENTER,
		(f32*)TEST_SIZE,
		COLOR_OPAQUE,
		(f32*)TEST_POSITION
	);
}
